@media only screen and (max-width: 575px) {
  .col-6 {
    flex: 0 0 auto !important;
    width: 50% !important;
  }
}
@media only screen and (max-width: 767px) {
  .container,
  .container-sm {
    max-width: 540px;
  }
  .mb-6 {
    margin-bottom: 2rem !important;
  }
  .text-center {
    text-align: center !important;
  }
  .display-none {
    display: none;
  }
  .display-block {
    display: block;
  }
  .banner {
    display: flex;
    flex-direction: column-reverse;
    align-items: center;
  }
  .col-12 {
    flex: 0 0 100%;
    max-width: 100%;
  }
  .mb-5 {
    margin-bottom: 1.5rem !important;
  }
  .banner-block .title {
    margin-top: 0;
    margin-bottom: 2rem !important;
    font-size: 2.25rem;
  }
  .img-fluid,
  .img-thumbnail {
    height: auto;
    max-width: 100%;
  }
  /* about */
  .pt-8 {
    padding-top: 3rem !important;
  }
  .py-6 {
    padding-bottom: 2rem !important;
    padding-top: 2rem !important;
  }
  .py-8 {
    padding-bottom: 3rem !important;
    padding-top: 3rem !important;
  }
  .card-img-start {
    border-radius: var(--bs-border-radius) var(--bs-border-radius) 0 0;
  }
  .w-100 {
    width: 100% !important;
  }
  .pt-12 {
    padding-top: 8rem !important;
  }
  .d-none {
    display: none !important;
  }
  .flickity-enabled {
    position: relative;
  }
  .col-sm-4 {
    flex: 0 0 auto;
    width: 33.33333333%;
  }

  .flickity-prev-next-button.previous {
    left: 0;
    transform: translate(calc(-50% + 0.625rem), -50%);
    top: 75%;
  }
  .flickity-prev-next-button.next {
    right: 0;
    transform: translate(calc(50% - 0.625rem), -50%);
    top: 75%;
  }
  .dropend .dropdown-menu {
    display: none;
  }
}

/* Thiết kế cho các thiết bị máy tính bảng */
@media only screen and (min-width: 768px) and (max-width: 991px) {
  .container,
  .container-md,
  .container-sm {
    max-width: 720px;
  }
  .display-none {
    display: none;
  }
  .display-block {
    display: block;
  }
  .col-md-2 {
    flex: 0 0 auto;
    width: 16.66666667%;
  }
  .col-md-6 {
    flex: 0 0 auto;
    width: 50%;
  }
  .col-md-10 {
    flex: 0 0 auto;
    width: 83.33333333%;
  }
  .col-md-12 {
    flex: 0 0 100%;
    max-width: 100%;
  }
  .mw-md-150 {
    max-width: 150% !important;
  }
  .text-md-start {
    text-align: left !important;
  }
  .banner-block .title {
    font-size: 2.25rem;
  }
  .order-md-1 {
    order: 1 !important;
  }
  .order-md-2 {
    order: 2 !important;
  }
  .col-md-4 {
    flex: 0 0 33.33333%;
    max-width: 33.33333%;
  }
  .col-md-7 {
    flex: 0 0 auto;
    width: 58.33333333%;
  }

  .mt-md-0 {
    margin-top: 0 !important;
  }
  .ms-md-n3 {
    margin-left: -0.75rem !important;
  }
  .w-md-150 {
    width: 150% !important;
  }
  .mb-md-0 {
    margin-bottom: 0 !important;
  }
  .col-md-5 {
    flex: 0 0 auto;
    width: 41.66666667%;
  }
  .pt-md-12 {
    padding-top: 8rem !important;
  }
  .mb-md-11 {
    margin-bottom: 6rem !important;
  }
  .mb-md-10 {
    margin-bottom: 5rem !important;
  }
  .mb-md-9 {
    margin-bottom: 4rem !important;
  }
  .mb-md-8 {
    margin-bottom: 3rem !important;
  }
  .card-img-slider {
    height: 100%;
    width: 100%;
  }
  .card-img-slider * {
    height: inherit !important;
    width: inherit !important;
  }
  .display-2 {
    font-size: 2.5rem;
  }
  .offset-md-4 {
    margin-left: 33.33333333%;
  }
  .dropend .dropdown-menu {
    display: none;
  }
}

@media only screen and (min-width: 992px) {
  .order-md-1 {
    order: 1 !important;
  }
  .order-md-2 {
    order: 2 !important;
  }
  .col-md-2 {
    flex: 0 0 auto;
    width: 16.66666667%;
  }
  .display-4 {
    font-size: 2.6875rem;
    font-weight: 400;
  }
  .h2,
  h2 {
    font-size: 1.9375rem !important;
  }
  .h4,
  h4 {
    font-size: 1.1875rem;
  }
  .col-lg-2 {
    flex: 0 0 auto;
    width: 16.66666667% !important;
  }
  .col-lg-5 {
    flex: 0 0 auto;
    width: 41.66666667%;
  }
  .col-lg-6 {
    flex: 0 0 auto;
    width: 50%;
  }
  .col-lg-8 {
    flex: 0 0 auto;
    width: 66.66666667%;
  }
  .col-md-4 {
    flex: 0 0 auto;
    width: 33.33333333%;
  }
  .mw-lg-130 {
    max-width: 130% !important;
  }
  .text-md-start {
    text-align: left !important;
  }
  .lead {
    font-size: 1.3125rem;
    font-weight: 400;
}
  .order-lg-2 {
    order: 2 !important;
  }
  .mt-lg-0 {
    margin-top: 0 !important;
  }
  .w-lg-130 {
    width: 130% !important;
  }
  .mb-lg-0 {
    margin-bottom: 0 !important;
  }
  .pt-md-12 {
    padding-top: 8rem !important;
  }
  .mb-md-11 {
    margin-bottom: 6rem !important;
  }
  .mb-md-8 {
    margin-bottom: 3rem !important;
  }
  .mb-md-9 {
    margin-bottom: 4rem !important;
  }
  .mb-md-10 {
    margin-bottom: 5rem !important;
  }
  .ms-md-n3 {
    margin-left: -0.75rem !important;
  }
  .fs-lg {
    font-size: 1.1875rem !important;
  }
  .card-img-slider {
    height: 100%;
    width: 100%;
  }
  .card-img-slider * {
    height: inherit !important;
    width: inherit !important;
  }
  .display-2 {
    font-size: 3.8125rem;
  }
  .display-3 {
    font-size: 3rem;
  }
  .col-lg-3 {
    flex: 0 0 auto;
    width: 25%;
  }

  /* header */
  .navbar-expand-lg {
    flex-wrap: nowrap;
    justify-content: flex-start;
  }
  .container,
  .container-lg,
  .container-md,
  .container-sm {
    max-width: 960px;
  }

  .navbar-expand-lg .navbar-collapse {
    display: flex !important;
    flex-basis: auto;
  }
  .navbar-collapse .navbar-toggler {
    display: none;
  }
  .navbar-expand-lg .navbar-nav {
    display: flex !important;
    flex-direction: row;
  }
  .navbar-expand-lg .navbar-nav .nav-link {
    padding-left: var(--bs-navbar-nav-link-padding-x);
    padding-right: var(--bs-navbar-nav-link-padding-x);
  }
  .navbar-nav .dropdown > .dropdown-menu {
    left: 50%;
    transform: translate(-50%, 10px);
  }
  .navbar-expand-lg .navbar-nav .dropdown-menu {
    position: absolute;
  }
  .navbar-nav .dropdown-menu {
    display: none;
    opacity: 0;
    transition: all 0.2s ease-in-out;
    transition-property: opacity, transform;
  }
  .navbar-nav .dropdown-menu {
    box-shadow: 0 1.5rem 4rem rgba(22, 28, 45, 0.15);
  }
  .navbar-nav .dropdown-menu-lg .dropdown-img-start,
  .navbar-nav .dropdown-menu-xl .dropdown-img-start {
    padding: 2.375rem 2.5rem;
  }
  .navbar-nav .dropdown-img-start {
    display: flex;
  }
  .navbar-collapse .navbar-nav .dropend > .dropdown-menu {
    left: 150%;
    right: auto;
  }
  .navbar-nav .dropend > .dropdown-menu {
    transform: translateY(10px);
  }
  .navbar-toggler .navbar-toggler-icon {
    display: none;
  }

  .navbar-nav .dropdown-body {
    padding: var(--bs-dropdown-padding-y) var(--bs-dropdown-padding-x);
  }
  /*  */
  .nav-item:hover > .dropdown-menu {
    display: block;
    opacity: 1;
    transform: translate(-50%);
    transition: all 0.2s ease-in-out;
  }
  .dropend:hover .dropdown-menu {
    display: block;
    opacity: 1;
    z-index: 999;
    transform: translate(-50%);
    transition: all 0.2s ease-in-out;
  }

  .navbar-collapse .navbar-nav .dropend > .dropdown-toggle:after {
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
  }
  .fa-angle-down:before {
    display: none;
  }
}
@media only screen and (min-width: 1200px) {
  .col-xl-9 {
    flex: 0 0 auto;
    width: 75%;
  }
  .col-xl-10 {
    flex: 0 0 auto;
    width: 83.33333333%;
  }
  .container,
  .container-lg,
  .container-md,
  .container-sm,
  .container-xl {
    max-width: 1040px;
  }
}
